/* 鍏煎ie */
.mc-root{
    height: 700px;
}
.magical-coder-tmp{
    display: inline-block;
}

.magical-coder-tmp >*{
    width:100%;
}
.magical-coder-tmp >.layui-form-switch{
    width:96%;
}
/*鍐呴儴瀛╁瓙闂磋窛*/
.mc-ui-between-space1{margin:-.5px}
.mc-ui-between-space1>*{padding:.5px}
.mc-ui-between-space2{margin:-1.5px}
.mc-ui-between-space2>*{padding:1.5px}
.mc-ui-between-space3{margin:-2.5px}
.mc-ui-between-space3>*{padding:2.5px}
.mc-ui-between-space4{margin:-3.5px}
.mc-ui-between-space4>*{padding:3.5px}
.mc-ui-between-space5{margin:-5px}
.mc-ui-between-space5>*{padding:5px}
.mc-ui-between-space6{margin:-6px}
.mc-ui-between-space6>*{padding:6px}
.mc-ui-between-space7{margin:-7.5px}
.mc-ui-between-space7>*{padding:7.5px}
.mc-ui-between-space8{margin:-9px}
.mc-ui-between-space8>*{padding:9px}
.mc-ui-between-space9{margin:-10px}
.mc-ui-between-space9>*{padding:10px}
.mc-ui-between-space10{margin:-11px}
.mc-ui-between-space10>*{padding:11px}
.mc-ui-between-space11{margin:-12.5px}
.mc-ui-between-space11>*{padding:12.5px}
.mc-ui-between-space12{margin:-15px}
.mc-ui-between-space12>*{padding:15px}
/*鍐呴儴瀛╁瓙灞呬腑*/
.mc-ui-flex-box{

}
/*姘村钩鍨傜洿灞呬腑*/
.mc-ui-flex-start{
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;

    text-align: left !important;
    -webkit-box-pack: start !important;
    -ms-flex-pack: start !important;
    justify-content: flex-start !important;


    -webkit-box-align: start !important;
    -ms-flex-align: start !important;
    align-items: flex-start !important;
}
/*姘村钩鍨傜洿灞呬腑*/
.mc-ui-flex-center{
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;

    text-align: center !important;
    -webkit-box-pack: center !important;
    -ms-flex-pack: center !important;
    justify-content: center !important;


    -webkit-box-align: center !important;
    -ms-flex-align: center !important;
    align-items: center !important;
}
/*姘村钩鍨傜洿灞呬腑*/
.mc-ui-flex-end{
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;

    text-align: right !important;
    -webkit-box-pack: end !important;
    -ms-flex-pack: end !important;
    justify-content: flex-end !important;

    -webkit-box-align: end !important;
    -ms-flex-align: end !important;
    align-items: flex-end !important;
}


/*鎵╁睍鐨勬柊瀹瑰櫒闈㈡澘*/
.mc-ui-absolute-pane{
    position: relative;
    /* min-width: 1%; */
}

/*涓嶈兘鍑虹幇甯argin-left margin-top*/
.mc-ui-absolute-pane>.layui-btn{
    margin-left:0px;
}
/*澶ч儴鍒嗘帶浠舵嫋鎷藉埌杩欓噷浼氬彉寰楀緢濂囨€� 鎵€浠ヨ繖閲岀粰鏈€灏忓€� 璁颁綇缁欑櫨鍒嗘瘮 杩欐牱鍙互鑷€傚簲*/
.mc-ui-absolute-pane>form,
.mc-ui-absolute-pane>table,
.mc-ui-absolute-pane>fieldset,
.mc-ui-absolute-pane>blockquote,
.mc-ui-absolute-pane>img,
.mc-ui-absolute-pane>div:not(.layui-unselect):not(.magical-coder-tmp):not(.mc-shade),
.mc-ui-absolute-pane>input,
.mc-ui-absolute-pane>ul,
.mc-ui-absolute-pane>ol,
.mc-ui-absolute-pane>hr,
.mc-ui-absolute-pane>video,
.mc-ui-absolute-pane>audio,
.mc-ui-absolute-pane>iframe,
.mc-ui-absolute-pane>textarea{
    width:45%;
}
.mc-ui-absolute-pane>*:not(.layui-unselect):not(.mc-shade):not(.mc-net-line){
    width:10%;
}
.mc-ui-absolute-pane>span{
    width: 10%;
}
 .mc-ui-absolute-pane>section,
 .mc-ui-absolute-pane>aside
 {
    width: 45% !important;
}
.mc-ui-absolute-pane>.magicalcoder-color-picker{
    width: 5%;
}
.mc-ui-absolute-pane>.layui-form-mid{
    width: 4px;
}
.mc-ui-absolute-pane>.layui-badge-dot{
    width: 8px;
}

.mc-table{
    width: 100%;
    background-color:#fff;
    color:#666;
}
audio{
    min-width: 300px;
}


/*鐐圭嚎闈㈢瓑鍑犱綍鍥剧墖鐨勭粍浠�*/
/*鐭╁舰*/
.mc-ui-geometry-rectangle{
    border: 1px solid black;
}
/*妯*/
.mc-ui-geometry-x-line{
    height: 0px !important;
    border-top:1px solid black;
    border-left:1px solid black;
    border-right:1px solid black;
    z-index: 1;
}
/*绔栫嚎*/
.mc-ui-geometry-y-line{
    width: 0px !important;
    border-top:1px solid black;
    border-left:1px solid black;
    border-bottom:1px solid black;
    z-index: 1;
}
/*鍦嗗舰*/
.mc-ui-geometry-round{
    border:1px solid black;
    border-radius:50%;
}
